"use strict";
/*
 * This program and the accompanying materials are made available under the terms of the
 * Eclipse Public License v2.0 which accompanies this distribution, and is available at
 * https://www.eclipse.org/legal/epl-v20.html
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 * Copyright Contributors to the Zowe Project.
 */
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const scs_shared_handler_1 = require("../scs.shared.handler");
class RevertAllHandler {
    process(params) {
        return __awaiter(this, void 0, void 0, function* () {
            const success = yield scs_shared_handler_1.default.updateProfiles(params, false);
            if (success) {
                params.response.console.log("\nSecure credential manager is still enabled for new profiles. To disable it, " +
                    "uninstall this plugin or run \"zowe config reset CredentialManager\".");
            }
        });
    }
}
exports.default = RevertAllHandler;
//# sourceMappingURL=RevertAll.handler.js.map