"use strict";
/*
 * This program and the accompanying materials are made available under the terms of the
 * Eclipse Public License v2.0 which accompanies this distribution, and is available at
 * https://www.eclipse.org/legal/epl-v20.html
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 * Copyright Contributors to the Zowe Project.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.Constants = void 0;
class Constants {
}
exports.Constants = Constants;
Constants.PLUGIN_SERVICE = "Zowe-Plugin";
// Please, do not change the order of the alternative services
// When adding, removing or modifying the alternative services, please double check the loadCredentials function
Constants.PLUGIN_ALTERNATIVE_SERVICES = ["@brightside/core", "@zowe/cli"];
Constants.PLUGIN_SUMMARY = "Work with securely stored credentials";
Constants.PLUGIN_DESCRIPTION = "Store credentials securely in profiles by encrypting them";
Constants.DISPLAY_NAME = "Secure Credential Store Plugin";
Constants.ALIAS = "scs";
Constants.NAME = "secure-credential-store";
Constants.UPDATE_CMD_NAME = "update";
Constants.UPDATE_CMD_DESCRIPTION = "Updates all plain text profiles to be securely stored";
Constants.UPDATE_CMD_ALIAS = ["u"];
Constants.REVERT_CMD_NAME = "revert";
Constants.REVERT_CMD_DESCRIPTION = "Reverts all secure profiles to be stored in plain text";
Constants.REVERT_CMD_ALIAS = ["r"];
Constants.REVERT_CMD_OPTION_FOR_SURE = {
    name: "for-sure",
    aliases: ["f"],
    description: "Specify this option to confirm that you want to revert all credentials to be stored insecurely.",
    type: "boolean",
    required: true
};
//# sourceMappingURL=Constants.js.map