"use strict";
/*
 * This program and the accompanying materials are made available under the terms of the
 * Eclipse Public License v2.0 which accompanies this distribution, and is available at
 * https://www.eclipse.org/legal/epl-v20.html
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 * Copyright Contributors to the Zowe Project.
 */
const Constants_1 = require("./Constants");
const RevertAll_definition_1 = require("../cli/revert/RevertAll.definition");
const UpdateAll_definition_1 = require("../cli/update/UpdateAll.definition");
const config = {
    pluginSummary: Constants_1.Constants.PLUGIN_SUMMARY,
    pluginHealthCheck: "./lib/imperative/healthCheckHandler",
    pluginAliases: [Constants_1.Constants.ALIAS],
    rootCommandDescription: Constants_1.Constants.PLUGIN_DESCRIPTION,
    productDisplayName: Constants_1.Constants.DISPLAY_NAME,
    name: Constants_1.Constants.NAME,
    definitions: [
        RevertAll_definition_1.RevertAllDefinition,
        UpdateAll_definition_1.UpdateAllDefinition
    ],
    overrides: {
        CredentialManager: "./credentials/KeytarCredentialManager"
    },
};
module.exports = config;
//# sourceMappingURL=configuration.js.map